print("Reading data")
rawdata <- read.table("results-survey188875.csv",header=TRUE,sep=";")

#removing free text questions
rawdata<-subset(rawdata,select=c(1:3,6:9,11:15,18:24,26:39,43:53)) 

names(rawdata)<-c("ID","Date","Lastpage","1_Age","2_OS_Win","2_OS_Mac","2_OS_Linux", #1-7
                  "3_Frequency","4_NumberSlides","5_WherePrivate","5_WhereBusiness","5_WhereSchool", #8-12
                  "6_ToolsPP","6_ToolsGoogle","6_ToolsAdobe","6_ToolsCanva","6_ToolsPikto","6_ToolsLucid","6_ToolsPrezi", #13-19
                  "7_Func_1","7_Func_2","7_Func_3","7_Func_4","7_Func_5","7_Func_6","7_Func_7","7_Func_8","7_Func_9", #20-28
                  "7_Func_A","7_Func_B","7_Func_C","7_Func_D","7_Func_E", #29-33
                  "8_Recom","9_SUS_1","9_SUS_2","9_SUS_3","9_SUS_4","9_SUS_5","9_SUS_6","9_SUS_7","9_SUS_8","9_SUS_9","9_SUS_A") #34-44
                  
#ignore incomplete resonses
rawdata <- subset(rawdata, Lastpage > 1)
